Несколько уязвимостей в WebGroupCommunicationCenter (WGCC)

Дата публикации:
15.05.2008
Всего просмотров:
865
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2445
CVE-2008-2446
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WebGroupCommunicationCenter (WGCC) 0.x
WebGroupCommunicationCenter (WGCC) 1.x
Уязвимые версии: WebGroupCommunicationCenter (WGCC) 0.5.6, 1.0.1, 1.0.2 и 1.0.3, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "userid" в сценарии profile.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "bildid" в сценарии picturegallery.php, в параметре "id" в сценариях filebase.php, schedule.php и profile.php и в параметрах "pmid" и "folderid" в сценарии message.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: wgcc.de

Решение: Установите исправление с сайта производителя.

или введите имя

CAPTCHA